<?php
$title ='VIP статус!';
$paginate = 1;
$load=array("f_time");
include_once '../protected/sys.php';
if(isset($_GET['buy'])){
$col=intval($_POST['days']);
	if($col<=0){
		$error="Неверное количество дней";
	}
	$cena=$col*40;
	if($cena>$user['gold']){
		$error="Недостаточно золота";
	}
	if($user['vip']=="yes"){
$time=$user['vip_time'];
	} else {
$time=time();
	}
if(isset($error)){
$_SESSION['error']=$error;
header("Location: ?");
} else {
$db->query("UPDATE `users` SET `gold`=?,`vip`=?,`vip_time`=? WHERE `id`=? LIMIT 1",array($user['gold']-$cena,"yes",$time+($col*86400),$user['id']));
$db->query("INSERT INTO `log` SET `user`=?,`type`=?,`text`=?,`time`=?",array($user['id'],"VIP","Купил на ".$col."д =".$cena."<img  class='icon' src='/imgData/static/gold.png'>",time()));
}
}



echo '



  <div class="title">
    Премиум-аккаунт
</div>


<div class="wrapper  lh1">
    <div class="center">

        
        <span class="rarity _5">Особые бонусы:</span>
    </div>
    <div class="menu">';
		?>
<div class="menu-block">
	<div class="colum-full padding-10">
		Купите VIP статус и получите такие бонусы:
	</div>
	<div class="colum">
		<img src='/imgData/static/silver.png' class='icon'>x2
	</div>
	<div class="colum">
		 <img src='/imgData/static/exp.png' class='icon'>x2
	</div>
	<div class="colum">
		<img class='icon' src='/imgData/static/arena_rating.png'>x2
	</div>
	<div class="colum">
		Регенерация  </br> <img src='/imgData/static/hp.png' class='icon'>x2
	</div>
	<div class="colum">
		Количество боев на арене х2
	</div>
	<div class="colum">
		Восстановление боссов х2
	</div>
	<div class='colum-full padding-10'>
		 Стоимость: <img class='icon' src='/imgData/static/gold.png'>40 = 24 часа!
	</div>
<? 
echo "
<center><form action='?buy' method='POST'>";
echo "<input class='input' name='days' type='text' placeholder='Количество дней!'>";
echo '</br><button class="button green">Купить</button>';
echo "</form></center>";

echo '
<div class="menu">
    <small>
        Если премиум-аккаунт уже активен - при покупке он будет продлен.
    </small>
</div>';

?>
<? if($user['vip']=="yes"){ ?>
	<div class='colum-full padding-10'>
		У вас осталось VIP на <?=vip_time($user['vip_time']-time())?>
	</div>
<? } ?>
</div>

<?


include_once $config['root'].'/protected/footermain.php';